aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-file-rsync/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-03-01 10:35:13 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-03-01 10:35:13 +0000
commitd18bb9fcaf894121d9c0a7eb330d53266fc529f1 (patch)
tree0845514d1081d393ffadbb165072ba842ec944f5 /main/perl-file-rsync/APKBUILD
parent77744ad278fb1ed5ac49da0995fd52828bb5beb7 (diff)
downloadaports-d18bb9fcaf894121d9c0a7eb330d53266fc529f1.tar.gz
aports-d18bb9fcaf894121d9c0a7eb330d53266fc529f1.tar.bz2
aports-d18bb9fcaf894121d9c0a7eb330d53266fc529f1.tar.xz
main/perl-file-rsync: new aport
Diffstat (limited to 'main/perl-file-rsync/APKBUILD')
-rw-r--r--main/perl-file-rsync/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/perl-file-rsync/APKBUILD b/main/perl-file-rsync/APKBUILD
new file mode 100644
index 0000000000..11500774a4
--- /dev/null
+++ b/main/perl-file-rsync/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-file-rsync
+_realname=File-RsyncP
+pkgver=0.68
+pkgrel=0
+pkgdesc="Perl rsync client"
+url="http://search.cpan.org/~cbarratt/File-RsyncP-0.68/"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+ cd $_builddir
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd $_builddir
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="ed47c5ef7ff835415692f18137cb0cf9 File-RsyncP-0.68.tar.gz"